STRCAT(3)

NAME
strcat - concatenate two strings

SYNOPSIS
#include <string.h>
char *
strcat(char *s, const char *append);

DESCRIPTION
The strcat() function appends a copy of the NUL-terminated string append to the end of the NUL-terminated string s, then adds a terminating ‘\0’. The string s must have sufficient space to hold the result.

RETURN VALUES
The strcat() function return the pointer s.

SEE ALSO
bcopy(3), memccpy(3), memcpy(3), memmove(3), strcpy(3), strlcpy(3), strncat(3), wcscat(3), wcslcpy(3)

STANDARDS
The strcat() function conforms to ansiC.

HISTORY
The strcat() function first appeared in the Programmer's Workbench (PWB/UNIX) and was ported to AT&T UNIX.